Plans define the network options and parameters offered to the end user, e.g. 'Unlimited data, voice & text'. Plan allowances (data, sms, voice) and limits are configurable, and Gigs will work with you to find the best balance for your users.
Type of object is always plan.
plan Unique identifier for the plan.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"Indicates when a subscription will activate.
creation: As soon as it is created. The user does not need to take any further action.usageStarted: When the user starts using subscription allowance on their device."creation"creation usageStarted The data allowance in bytes. A value of null indicates unlimited data.
10000000000The voice call allowance in seconds. A value of null indicates unlimited calls.
30000The SMS allowance in messages. A value of null indicates unlimited SMS.
100Time when the plan was created.
"2021-01-21T19:38:34Z"The plan's description, meant to be displayable to the users.
"A data plan you will love! Operates in most countries of the world."Indicates when a subscription's first period will start.
creation: As soon as the subscription is created.activation: When the subscription's status transitions from pending to active."creation"activation creation The plan's image, meant to be displayable to the users.
"https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png"The maximum amount of data that can be used in bytes. A value of null indicates unlimited data.
100000000000The maximum bandwidth in bits per second. A value of null indicates the maximum bandwidth this network allows.
100000000The plan's name, meant to be displayable to the users.
"Gigs Global"The ID of the network provider supported by this plan.
"p5"List of SIM types supported by this plan. Can be eSIM, pSIM, or both.
["eSIM","pSIM"]available archived pending draft {
"object": "plan",
"id": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": [
"DE",
"FR",
"US"
],
"name": "Europe"
},
"createdAt": "2021-01-21T19:38:34.0Z",
"description": "A data plan you will love! Operates in most countries of the world.",
"firstPeriodTrigger": "creation",
"image": "https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png",
"limits": {
"dataBytes": 100000000000,
"bandwidthBitsPerSecond": 100000000,
"throttling": {
"thresholdBytes": 10000000000,
"bandwidthBitsPerSecond": 512000
}
},
"name": "Gigs Global",
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"requirements": {
"address": "present",
"device": "none",
"user.birthday": "none",
"user.fullName": "present"
},
"simTypes": [
"eSIM",
"pSIM"
],
"status": "available",
"validity": {
"minimumPeriods": 12,
"type": "recurring",
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}
Returns a list of plans.
The network provider ID to filter the plans by.
The type of SIM card to filter the plans by.
eSIM,pSIMThe status to filter the plans by. Only available plans are returned by default.
availableThe ISO3166 alpha-2 country code to filter the plans by.
A cursor for use in pagination. The after parameter takes an object ID that defines the position in the list, only items immediately following the item with that ID will be returned.
A cursor for use in pagination. The before parameter takes an object ID that defines the position in the list, only items immediately preceding the item with that ID will be returned.
The limit of items to be returned in the list, between 0 and 200.
2010>= 0<= 200Returns a list of plan objects.
Type of object is always list.
list plan.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/plans \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "plan",
"id": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": [
"DE",
"FR",
"US"
],
"name": "Europe"
},
"createdAt": "2021-01-21T19:38:34Z",
"description": "A data plan you will love! Operates in most countries of the world.",
"firstPeriodTrigger": "creation",
"image": "https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png",
"limits": {
"dataBytes": 100000000000,
"bandwidthBitsPerSecond": 100000000,
"throttling": {
"thresholdBytes": 10000000000,
"bandwidthBitsPerSecond": 512000
}
},
"name": "Gigs Global",
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"requirements": {
"address": "present",
"device": "none",
"user.birthday": "none",
"user.fullName": "present"
},
"simTypes": [
"eSIM",
"pSIM"
],
"status": "available",
"validity": {
"minimumPeriods": 12,
"type": "recurring",
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Returns the plan if it exists.
Type of object is always plan.
plan Unique identifier for the plan.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"Indicates when a subscription will activate.
creation: As soon as it is created. The user does not need to take any further action.usageStarted: When the user starts using subscription allowance on their device."creation"creation usageStarted The data allowance in bytes. A value of null indicates unlimited data.
10000000000The voice call allowance in seconds. A value of null indicates unlimited calls.
30000The SMS allowance in messages. A value of null indicates unlimited SMS.
100Time when the plan was created.
"2021-01-21T19:38:34Z"The plan's description, meant to be displayable to the users.
"A data plan you will love! Operates in most countries of the world."Indicates when a subscription's first period will start.
creation: As soon as the subscription is created.activation: When the subscription's status transitions from pending to active."creation"activation creation The plan's image, meant to be displayable to the users.
"https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png"The maximum amount of data that can be used in bytes. A value of null indicates unlimited data.
100000000000The maximum bandwidth in bits per second. A value of null indicates the maximum bandwidth this network allows.
100000000The plan's name, meant to be displayable to the users.
"Gigs Global"The ID of the network provider supported by this plan.
"p5"List of SIM types supported by this plan. Can be eSIM, pSIM, or both.
["eSIM","pSIM"]available archived pending draft curl https://api.gigs.com/projects/${GIGS_PROJECT}/plans/{plan} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "plan",
"id": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": [
"DE",
"FR",
"US"
],
"name": "Europe"
},
"createdAt": "2021-01-21T19:38:34Z",
"description": "A data plan you will love! Operates in most countries of the world.",
"firstPeriodTrigger": "creation",
"image": "https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png",
"limits": {
"dataBytes": 100000000000,
"bandwidthBitsPerSecond": 100000000,
"throttling": {
"thresholdBytes": 10000000000,
"bandwidthBitsPerSecond": 512000
}
},
"name": "Gigs Global",
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"requirements": {
"address": "present",
"device": "none",
"user.birthday": "none",
"user.fullName": "present"
},
"simTypes": [
"eSIM",
"pSIM"
],
"status": "available",
"validity": {
"minimumPeriods": 12,
"type": "recurring",
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}
Updates the specified plan by setting the values of the parameters passed.
The plan's name, meant to be displayable to the user.
"Gigs Global"The plan's description, meant to be displayable to the user.
"A data plan you will love! Operates in most countries of the world."The plan's image, meant to be displayable to the user.
"https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png"Returns the updated plan.
Type of object is always plan.
plan Unique identifier for the plan.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"Indicates when a subscription will activate.
creation: As soon as it is created. The user does not need to take any further action.usageStarted: When the user starts using subscription allowance on their device."creation"creation usageStarted The data allowance in bytes. A value of null indicates unlimited data.
10000000000The voice call allowance in seconds. A value of null indicates unlimited calls.
30000The SMS allowance in messages. A value of null indicates unlimited SMS.
100Time when the plan was created.
"2021-01-21T19:38:34Z"The plan's description, meant to be displayable to the users.
"A data plan you will love! Operates in most countries of the world."Indicates when a subscription's first period will start.
creation: As soon as the subscription is created.activation: When the subscription's status transitions from pending to active."creation"activation creation The plan's image, meant to be displayable to the users.
"https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png"The maximum amount of data that can be used in bytes. A value of null indicates unlimited data.
100000000000The maximum bandwidth in bits per second. A value of null indicates the maximum bandwidth this network allows.
100000000The plan's name, meant to be displayable to the users.
"Gigs Global"The ID of the network provider supported by this plan.
"p5"List of SIM types supported by this plan. Can be eSIM, pSIM, or both.
["eSIM","pSIM"]available archived pending draft curl https://api.gigs.com/projects/${GIGS_PROJECT}/plans/{plan} \
-X PATCH \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"name": "Gigs Global",
"description": "A data plan you will love! Operates in most countries of the world.",
"image": "https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png",
"metadata": {}
}'
{
"object": "plan",
"id": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": [
"DE",
"FR",
"US"
],
"name": "Europe"
},
"createdAt": "2021-01-21T19:38:34Z",
"description": "A data plan you will love! Operates in most countries of the world.",
"firstPeriodTrigger": "creation",
"image": "https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png",
"limits": {
"dataBytes": 100000000000,
"bandwidthBitsPerSecond": 100000000,
"throttling": {
"thresholdBytes": 10000000000,
"bandwidthBitsPerSecond": 512000
}
},
"name": "Gigs Global",
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"requirements": {
"address": "present",
"device": "none",
"user.birthday": "none",
"user.fullName": "present"
},
"simTypes": [
"eSIM",
"pSIM"
],
"status": "available",
"validity": {
"minimumPeriods": 12,
"type": "recurring",
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}
Set the status of a plan to archived. An archived plan can not be used to create new subscriptions.
Returns the archived plan.
Type of object is always plan.
plan Unique identifier for the plan.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"Indicates when a subscription will activate.
creation: As soon as it is created. The user does not need to take any further action.usageStarted: When the user starts using subscription allowance on their device."creation"creation usageStarted The data allowance in bytes. A value of null indicates unlimited data.
10000000000The voice call allowance in seconds. A value of null indicates unlimited calls.
30000The SMS allowance in messages. A value of null indicates unlimited SMS.
100Time when the plan was created.
"2021-01-21T19:38:34Z"The plan's description, meant to be displayable to the users.
"A data plan you will love! Operates in most countries of the world."Indicates when a subscription's first period will start.
creation: As soon as the subscription is created.activation: When the subscription's status transitions from pending to active."creation"activation creation The plan's image, meant to be displayable to the users.
"https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png"The maximum amount of data that can be used in bytes. A value of null indicates unlimited data.
100000000000The maximum bandwidth in bits per second. A value of null indicates the maximum bandwidth this network allows.
100000000The plan's name, meant to be displayable to the users.
"Gigs Global"The ID of the network provider supported by this plan.
"p5"List of SIM types supported by this plan. Can be eSIM, pSIM, or both.
["eSIM","pSIM"]available archived pending draft curl https://api.gigs.com/projects/${GIGS_PROJECT}/plans/{plan}/archive \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "plan",
"id": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": [
"DE",
"FR",
"US"
],
"name": "Europe"
},
"createdAt": "2021-01-21T19:38:34Z",
"description": "A data plan you will love! Operates in most countries of the world.",
"firstPeriodTrigger": "creation",
"image": "https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png",
"limits": {
"dataBytes": 100000000000,
"bandwidthBitsPerSecond": 100000000,
"throttling": {
"thresholdBytes": 10000000000,
"bandwidthBitsPerSecond": 512000
}
},
"name": "Gigs Global",
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"requirements": {
"address": "present",
"device": "none",
"user.birthday": "none",
"user.fullName": "present"
},
"simTypes": [
"eSIM",
"pSIM"
],
"status": "available",
"validity": {
"minimumPeriods": 12,
"type": "recurring",
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}
Set the status of a plan to available. Available plans can be used to create new subscriptions.
Returns the available plan.
Type of object is always plan.
plan Unique identifier for the plan.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"Indicates when a subscription will activate.
creation: As soon as it is created. The user does not need to take any further action.usageStarted: When the user starts using subscription allowance on their device."creation"creation usageStarted The data allowance in bytes. A value of null indicates unlimited data.
10000000000The voice call allowance in seconds. A value of null indicates unlimited calls.
30000The SMS allowance in messages. A value of null indicates unlimited SMS.
100Time when the plan was created.
"2021-01-21T19:38:34Z"The plan's description, meant to be displayable to the users.
"A data plan you will love! Operates in most countries of the world."Indicates when a subscription's first period will start.
creation: As soon as the subscription is created.activation: When the subscription's status transitions from pending to active."creation"activation creation The plan's image, meant to be displayable to the users.
"https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png"The maximum amount of data that can be used in bytes. A value of null indicates unlimited data.
100000000000The maximum bandwidth in bits per second. A value of null indicates the maximum bandwidth this network allows.
100000000The plan's name, meant to be displayable to the users.
"Gigs Global"The ID of the network provider supported by this plan.
"p5"List of SIM types supported by this plan. Can be eSIM, pSIM, or both.
["eSIM","pSIM"]available archived pending draft curl https://api.gigs.com/projects/${GIGS_PROJECT}/plans/{plan}/publish \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "plan",
"id": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": [
"DE",
"FR",
"US"
],
"name": "Europe"
},
"createdAt": "2021-01-21T19:38:34Z",
"description": "A data plan you will love! Operates in most countries of the world.",
"firstPeriodTrigger": "creation",
"image": "https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png",
"limits": {
"dataBytes": 100000000000,
"bandwidthBitsPerSecond": 100000000,
"throttling": {
"thresholdBytes": 10000000000,
"bandwidthBitsPerSecond": 512000
}
},
"name": "Gigs Global",
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"requirements": {
"address": "present",
"device": "none",
"user.birthday": "none",
"user.fullName": "present"
},
"simTypes": [
"eSIM",
"pSIM"
],
"status": "available",
"validity": {
"minimumPeriods": 12,
"type": "recurring",
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}
Searches for plans matching the given parameters.
The status to filter plans by.
availableThe type of the SIM card to filter the plans by.
The network provider ID to filter the plans by.
["p3","p9"]The ISO3166 alpha-2 country code to filter the plans by.
["DE","GB"]The IMEI (international mobile equipment identity) of the corresponding device.
"492388841798923"The device model identifier of the corresponding device.
"dmd_123"Unique identifier for the subscription.
"sub_0SNlurA049MEWV2gSfSxi00xlPIi"Returns a list schema response with all found Plans.
Type of object is always list.
list plan.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/plans/search \
-X POST \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json" \
-d '{
"status": [
"available"
],
"simType": [
"eSIM"
],
"provider": [
"p3",
"p9"
],
"coverageCountry": [
"DE",
"GB"
],
"compatibleWith": {
"imei": "492388841798923",
"deviceModel": "dmd_123",
"subscription": "sub_0SNlurA049MEWV2gSfSxi00xlPIi"
}
}'
{
"object": "list",
"items": [
{
"object": "plan",
"id": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"metadata": {},
"activationTrigger": "creation",
"allowances": {
"dataBytes": 10000000000,
"voiceSeconds": 30000,
"smsMessages": 100
},
"coverage": {
"object": "coverage",
"id": "de",
"countries": [
"DE",
"FR",
"US"
],
"name": "Europe"
},
"createdAt": "2021-01-21T19:38:34Z",
"description": "A data plan you will love! Operates in most countries of the world.",
"firstPeriodTrigger": "creation",
"image": "https://i.gigscdn.com/pr/nTZpgaEj5dTQ2Jo/original.png",
"limits": {
"dataBytes": 100000000000,
"bandwidthBitsPerSecond": 100000000,
"throttling": {
"thresholdBytes": 10000000000,
"bandwidthBitsPerSecond": 512000
}
},
"name": "Gigs Global",
"price": {
"amount": 999,
"currency": "USD"
},
"provider": "p5",
"requirements": {
"address": "present",
"device": "none",
"user.birthday": "none",
"user.fullName": "present"
},
"simTypes": [
"eSIM",
"pSIM"
],
"status": "available",
"validity": {
"minimumPeriods": 12,
"type": "recurring",
"unit": "day",
"value": 7
},
"data": 10000000000,
"dataUnit": "byte",
"sms": 100,
"smsUnit": "message",
"voice": 30000,
"voiceUnit": "second"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Returns a list of documents related to the given plan. The documents returned are sorted by creation date, with the most recently created documents appearing first.
The unique identifier for the plan to be filtered by.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"Returns a list of document objects.
Type of object is always list.
list planDocument.A unique identifier to be used as after pagination parameter if more items are available sorted after the current batch of items.
A unique identifier to be used as before pagination parameter if more items are available sorted before the current batch of items.
curl https://api.gigs.com/projects/${GIGS_PROJECT}/planDocuments \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "list",
"items": [
{
"object": "planDocument",
"id": "pdc_0SNlurA049MEWV1S6e1qVqBV2xge",
"createdAt": "2022-07-04T16:20:27Z",
"language": "en-US",
"name": "My Plan Contract",
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"type": "application/pdf",
"url": "https://a.gigscdn.net/p/my-project/01G74ZPB5PQTDESM4JGYR2CWB9.pdf"
}
],
"moreItemsAfter": null,
"moreItemsBefore": null
}
Retrieves the details of an existing document for a given plan.
The unique identifier for the document.
"pdc_0SNlurA049MEWV1S6e1qVqBV2xge"Returns the plan if it exists and is owned by the plan.
Type of object is always planDocument.
planDocument Unique identifier for the given document.
"pdc_0SNlurA049MEWV1S6e1qVqBV2xge"The time the document was created.
"2022-07-04T16:20:27.59Z"The language of the document. The values follow the BCP 47 standard. That means, for instance, that a region can be specified in addition to the language.
"en-US"The name of the document.
"My Plan Contract"Unique identifier for the plan associated to this document.
"pln_0SNlurA049MEWV3V0q7gjQbM4EVo"The MIME type for the given document.
"application/pdf"The URL at which the document can be retrieved.
"https://a.gigscdn.net/p/my-project/01G74ZPB5PQTDESM4JGYR2CWB9.pdf"curl https://api.gigs.com/projects/${GIGS_PROJECT}/planDocuments/{planDocument} \
-X GET \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${GIGS_TOKEN}" \
-H "Accept: application/json"
{
"object": "planDocument",
"id": "pdc_0SNlurA049MEWV1S6e1qVqBV2xge",
"createdAt": "2022-07-04T16:20:27Z",
"language": "en-US",
"name": "My Plan Contract",
"plan": "pln_0SNlurA049MEWV3V0q7gjQbM4EVo",
"type": "application/pdf",
"url": "https://a.gigscdn.net/p/my-project/01G74ZPB5PQTDESM4JGYR2CWB9.pdf"
}